package com.orangesale.cn.mapper;

import com.orangesale.cn.entity.OrangeProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author zhijun
 * @Date 2019/12/13
 */
@Mapper
public interface ProductMapper {

    /**
     * 根据商品id查询商品信息
     *
     * @param productId
     * @return
     */
    OrangeProduct selectById(@Param("productId") Integer productId);

    /**
     * 查询所有商品信息
     *
     * @return
     */
    List<OrangeProduct> selectAll();

    /**
     * 更新商品
     *
     * @param product
     * @return
     */
    Integer updateProduct(OrangeProduct product);

    /**
     * 删除商品
     *
     * @param product
     * @return
     */
    Integer deleteProduct(OrangeProduct product);

    /**
     * 添加商品
     *
     * @param orangeProduct
     * @return
     */
    Integer addProduct(OrangeProduct orangeProduct);

}
